Delete a topic
Refuses the default topic and any topic a scheduled or running campaign uses. Request: DELETE /v1/topics/{id}. Scope: contacts:delete.
DELETE
Refuses the default topic and any topic a scheduled or running campaign uses.
apiKeyheader
x-api-key<token>id*stringMatch
^tpc_[0-9a-hjkmnp-tv-z]{16,24}$Success
application/json- response
success*booleanimport { createClient } from "samva";
const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });
const result = await samva.topics.remove({
"id": "example"
});Example Response
{
"success": true
}